// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.21.3
// source: vtadmin.proto

package vtadmin

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	vtctldata "vitess.io/vitess/go/vt/proto/vtctldata"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// VTAdminClient is the client API for VTAdmin service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type VTAdminClient interface {
	// CreateKeyspace creates a new keyspace in the given cluster.
	CreateKeyspace(ctx context.Context, in *CreateKeyspaceRequest, opts ...grpc.CallOption) (*CreateKeyspaceResponse, error)
	// CreateShard creates a new shard in the given cluster and keyspace.
	CreateShard(ctx context.Context, in *CreateShardRequest, opts ...grpc.CallOption) (*vtctldata.CreateShardResponse, error)
	// DeleteKeyspace deletes a keyspace in the given cluster.
	DeleteKeyspace(ctx context.Context, in *DeleteKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.DeleteKeyspaceResponse, error)
	// DeleteShard deletes one or more shards in the given cluster and keyspace.
	DeleteShards(ctx context.Context, in *DeleteShardsRequest, opts ...grpc.CallOption) (*vtctldata.DeleteShardsResponse, error)
	// DeleteTablet deletes a tablet from the topology
	DeleteTablet(ctx context.Context, in *DeleteTabletRequest, opts ...grpc.CallOption) (*DeleteTabletResponse, error)
	// EmergencyFailoverShard fails over a shard to a new primary. It assumes
	// the old primary is dead or otherwise not responding.
	EmergencyFailoverShard(ctx context.Context, in *EmergencyFailoverShardRequest, opts ...grpc.CallOption) (*EmergencyFailoverShardResponse, error)
	// FindSchema returns a single Schema that matches the provided table name
	// across all specified clusters IDs. Not specifying a set of cluster IDs
	// causes the search to span all configured clusters.
	//
	// An error occurs if either no table exists across any of the clusters with
	// the specified table name, or if multiple tables exist with that name.
	FindSchema(ctx context.Context, in *FindSchemaRequest, opts ...grpc.CallOption) (*Schema, error)
	// GetBackups returns backups grouped by cluster.
	GetBackups(ctx context.Context, in *GetBackupsRequest, opts ...grpc.CallOption) (*GetBackupsResponse, error)
	// GetCellInfos returns the CellInfo objects for the specified clusters.
	//
	// Callers may optionally restrict the set of CellInfos, or restrict the
	// response to include only cell names.
	GetCellInfos(ctx context.Context, in *GetCellInfosRequest, opts ...grpc.CallOption) (*GetCellInfosResponse, error)
	// GetCellsAliases returns the CellsAliases data for the specified clusters.
	GetCellsAliases(ctx context.Context, in *GetCellsAliasesRequest, opts ...grpc.CallOption) (*GetCellsAliasesResponse, error)
	// GetClusters returns all configured clusters.
	GetClusters(ctx context.Context, in *GetClustersRequest, opts ...grpc.CallOption) (*GetClustersResponse, error)
	// GetGates returns all gates across all the specified clusters.
	GetGates(ctx context.Context, in *GetGatesRequest, opts ...grpc.CallOption) (*GetGatesResponse, error)
	// GetKeyspace returns a keyspace by name in the specified cluster.
	GetKeyspace(ctx context.Context, in *GetKeyspaceRequest, opts ...grpc.CallOption) (*Keyspace, error)
	// GetKeyspaces returns all keyspaces across the specified clusters.
	GetKeyspaces(ctx context.Context, in *GetKeyspacesRequest, opts ...grpc.CallOption) (*GetKeyspacesResponse, error)
	// GetSchema returns the schema for the specified (cluster, keyspace, table)
	// tuple.
	GetSchema(ctx context.Context, in *GetSchemaRequest, opts ...grpc.CallOption) (*Schema, error)
	// GetSchemas returns all schemas across the specified clusters.
	GetSchemas(ctx context.Context, in *GetSchemasRequest, opts ...grpc.CallOption) (*GetSchemasResponse, error)
	// GetShardReplicationPositions returns shard replication positions grouped
	// by cluster.
	GetShardReplicationPositions(ctx context.Context, in *GetShardReplicationPositionsRequest, opts ...grpc.CallOption) (*GetShardReplicationPositionsResponse, error)
	// GetSrvVSchema returns the SrvVSchema for the given cluster and cell.
	GetSrvVSchema(ctx context.Context, in *GetSrvVSchemaRequest, opts ...grpc.CallOption) (*SrvVSchema, error)
	// GetSrvVSchemas returns all SrvVSchemas across all (or specified) clusters
	// and cells.
	GetSrvVSchemas(ctx context.Context, in *GetSrvVSchemasRequest, opts ...grpc.CallOption) (*GetSrvVSchemasResponse, error)
	// GetTablet looks up a tablet by hostname across all clusters and returns
	// the result.
	GetTablet(ctx context.Context, in *GetTabletRequest, opts ...grpc.CallOption) (*Tablet, error)
	// GetTablets returns all tablets across all the specified clusters.
	GetTablets(ctx context.Context, in *GetTabletsRequest, opts ...grpc.CallOption) (*GetTabletsResponse, error)
	// GetVSchema returns a VSchema for the specified keyspace in the specified
	// cluster.
	GetVSchema(ctx context.Context, in *GetVSchemaRequest, opts ...grpc.CallOption) (*VSchema, error)
	// GetVSchemas returns the VSchemas for all specified clusters.
	GetVSchemas(ctx context.Context, in *GetVSchemasRequest, opts ...grpc.CallOption) (*GetVSchemasResponse, error)
	// GetVtctlds returns the Vtctlds for all specified clusters.
	GetVtctlds(ctx context.Context, in *GetVtctldsRequest, opts ...grpc.CallOption) (*GetVtctldsResponse, error)
	// GetWorkflow returns a single Workflow for a given cluster, keyspace, and
	// workflow name.
	GetWorkflow(ctx context.Context, in *GetWorkflowRequest, opts ...grpc.CallOption) (*Workflow, error)
	// GetWorkflows returns the Workflows for all specified clusters.
	GetWorkflows(ctx context.Context, in *GetWorkflowsRequest, opts ...grpc.CallOption) (*GetWorkflowsResponse, error)
	// PingTablet checks that the specified tablet is awake and responding to
	// RPCs. This command can be blocked by other in-flight operations.
	PingTablet(ctx context.Context, in *PingTabletRequest, opts ...grpc.CallOption) (*PingTabletResponse, error)
	// PlannedFailoverShard fails over the shard to a new primary, or away from
	// an old primary. Both the old and new primaries must be reachable and
	// running.
	//
	// NOTE: A planned failover will not consider replicas outside the current
	// shard primary's cell as promotion candidates unless NewPrimary is
	// explicitly provided in the request.
	PlannedFailoverShard(ctx context.Context, in *PlannedFailoverShardRequest, opts ...grpc.CallOption) (*PlannedFailoverShardResponse, error)
	// RebuildKeyspaceGraph rebuilds the serving data for a keyspace.
	RebuildKeyspaceGraph(ctx context.Context, in *RebuildKeyspaceGraphRequest, opts ...grpc.CallOption) (*RebuildKeyspaceGraphResponse, error)
	// RefreshState reloads the tablet record on the specified tablet.
	RefreshState(ctx context.Context, in *RefreshStateRequest, opts ...grpc.CallOption) (*RefreshStateResponse, error)
	// RefreshTabletReplicationSource performs a `CHANGE REPLICATION SOURCE TO`
	// on a tablet to replicate from the current primary in the shard.
	RefreshTabletReplicationSource(ctx context.Context, in *RefreshTabletReplicationSourceRequest, opts ...grpc.CallOption) (*RefreshTabletReplicationSourceResponse, error)
	// ReloadSchemas reloads the schema definition across keyspaces, shards, or
	// tablets in one or more clusters, depending on the request fields (see
	// ReloadSchemasRequest for details).
	ReloadSchemas(ctx context.Context, in *ReloadSchemasRequest, opts ...grpc.CallOption) (*ReloadSchemasResponse, error)
	// ReloadSchemaShard reloads the schema on all tablets in a shard. This is done on a best-effort basis.
	ReloadSchemaShard(ctx context.Context, in *ReloadSchemaShardRequest, opts ...grpc.CallOption) (*ReloadSchemaShardResponse, error)
	// RemoveKeyspaceCell removes the cell from the Cells list for all shards in the keyspace, and the SrvKeyspace for that keyspace in that cell.
	RemoveKeyspaceCell(ctx context.Context, in *RemoveKeyspaceCellRequest, opts ...grpc.CallOption) (*RemoveKeyspaceCellResponse, error)
	// RunHealthCheck runs a healthcheck on the tablet.
	RunHealthCheck(ctx context.Context, in *RunHealthCheckRequest, opts ...grpc.CallOption) (*RunHealthCheckResponse, error)
	// SetReadOnly sets the tablet to read-only mode.
	SetReadOnly(ctx context.Context, in *SetReadOnlyRequest, opts ...grpc.CallOption) (*SetReadOnlyResponse, error)
	// SetReadWrite sets the tablet to read-write mode.
	SetReadWrite(ctx context.Context, in *SetReadWriteRequest, opts ...grpc.CallOption) (*SetReadWriteResponse, error)
	// StartReplication runs the underlying database command to start
	// replication on a tablet.
	StartReplication(ctx context.Context, in *StartReplicationRequest, opts ...grpc.CallOption) (*StartReplicationResponse, error)
	// StopReplication runs the underlying database command to stop replication
	// on a tablet
	StopReplication(ctx context.Context, in *StopReplicationRequest, opts ...grpc.CallOption) (*StopReplicationResponse, error)
	// TabletExternallyPromoted updates the metadata in a cluster's topology
	// to acknowledge a shard primary change performed by an external tool
	// (e.g. orchestrator*).
	//
	// See the Reparenting guide for more information:
	// https://vitess.io/docs/user-guides/configuration-advanced/reparenting/#external-reparenting.
	//
	// * "orchestrator" here refers to external orchestrator, not the newer,
	// Vitess-aware orchestrator, VTOrc.
	TabletExternallyPromoted(ctx context.Context, in *TabletExternallyPromotedRequest, opts ...grpc.CallOption) (*TabletExternallyPromotedResponse, error)
	// ValidateKeyspace validates that all nodes reachable from the specified
	// keyspace are consistent.
	ValidateKeyspace(ctx context.Context, in *ValidateKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.ValidateKeyspaceResponse, error)
	// ValidateSchemaKeyspace validates that the schema on the primary tablet
	// for shard 0 matches the schema on all of the other tablets in the
	// keyspace.
	ValidateSchemaKeyspace(ctx context.Context, in *ValidateSchemaKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.ValidateSchemaKeyspaceResponse, error)
	// ValidateVersionKeyspace validates that the version on the primary of
	// shard 0 matches all of the other tablets in the keyspace.
	ValidateVersionKeyspace(ctx context.Context, in *ValidateVersionKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.ValidateVersionKeyspaceResponse, error)
	// VTExplain provides information on how Vitess plans to execute a
	// particular query.
	VTExplain(ctx context.Context, in *VTExplainRequest, opts ...grpc.CallOption) (*VTExplainResponse, error)
}

type vTAdminClient struct {
	cc grpc.ClientConnInterface
}

func NewVTAdminClient(cc grpc.ClientConnInterface) VTAdminClient {
	return &vTAdminClient{cc}
}

func (c *vTAdminClient) CreateKeyspace(ctx context.Context, in *CreateKeyspaceRequest, opts ...grpc.CallOption) (*CreateKeyspaceResponse, error) {
	out := new(CreateKeyspaceResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/CreateKeyspace", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) CreateShard(ctx context.Context, in *CreateShardRequest, opts ...grpc.CallOption) (*vtctldata.CreateShardResponse, error) {
	out := new(vtctldata.CreateShardResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/CreateShard", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) DeleteKeyspace(ctx context.Context, in *DeleteKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.DeleteKeyspaceResponse, error) {
	out := new(vtctldata.DeleteKeyspaceResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/DeleteKeyspace", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) DeleteShards(ctx context.Context, in *DeleteShardsRequest, opts ...grpc.CallOption) (*vtctldata.DeleteShardsResponse, error) {
	out := new(vtctldata.DeleteShardsResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/DeleteShards", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) DeleteTablet(ctx context.Context, in *DeleteTabletRequest, opts ...grpc.CallOption) (*DeleteTabletResponse, error) {
	out := new(DeleteTabletResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/DeleteTablet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) EmergencyFailoverShard(ctx context.Context, in *EmergencyFailoverShardRequest, opts ...grpc.CallOption) (*EmergencyFailoverShardResponse, error) {
	out := new(EmergencyFailoverShardResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/EmergencyFailoverShard", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) FindSchema(ctx context.Context, in *FindSchemaRequest, opts ...grpc.CallOption) (*Schema, error) {
	out := new(Schema)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/FindSchema", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetBackups(ctx context.Context, in *GetBackupsRequest, opts ...grpc.CallOption) (*GetBackupsResponse, error) {
	out := new(GetBackupsResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetBackups", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetCellInfos(ctx context.Context, in *GetCellInfosRequest, opts ...grpc.CallOption) (*GetCellInfosResponse, error) {
	out := new(GetCellInfosResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetCellInfos", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetCellsAliases(ctx context.Context, in *GetCellsAliasesRequest, opts ...grpc.CallOption) (*GetCellsAliasesResponse, error) {
	out := new(GetCellsAliasesResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetCellsAliases", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetClusters(ctx context.Context, in *GetClustersRequest, opts ...grpc.CallOption) (*GetClustersResponse, error) {
	out := new(GetClustersResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetClusters", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetGates(ctx context.Context, in *GetGatesRequest, opts ...grpc.CallOption) (*GetGatesResponse, error) {
	out := new(GetGatesResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetGates", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetKeyspace(ctx context.Context, in *GetKeyspaceRequest, opts ...grpc.CallOption) (*Keyspace, error) {
	out := new(Keyspace)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetKeyspace", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetKeyspaces(ctx context.Context, in *GetKeyspacesRequest, opts ...grpc.CallOption) (*GetKeyspacesResponse, error) {
	out := new(GetKeyspacesResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetKeyspaces", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetSchema(ctx context.Context, in *GetSchemaRequest, opts ...grpc.CallOption) (*Schema, error) {
	out := new(Schema)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetSchema", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetSchemas(ctx context.Context, in *GetSchemasRequest, opts ...grpc.CallOption) (*GetSchemasResponse, error) {
	out := new(GetSchemasResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetSchemas", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetShardReplicationPositions(ctx context.Context, in *GetShardReplicationPositionsRequest, opts ...grpc.CallOption) (*GetShardReplicationPositionsResponse, error) {
	out := new(GetShardReplicationPositionsResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetShardReplicationPositions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetSrvVSchema(ctx context.Context, in *GetSrvVSchemaRequest, opts ...grpc.CallOption) (*SrvVSchema, error) {
	out := new(SrvVSchema)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetSrvVSchema", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetSrvVSchemas(ctx context.Context, in *GetSrvVSchemasRequest, opts ...grpc.CallOption) (*GetSrvVSchemasResponse, error) {
	out := new(GetSrvVSchemasResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetSrvVSchemas", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetTablet(ctx context.Context, in *GetTabletRequest, opts ...grpc.CallOption) (*Tablet, error) {
	out := new(Tablet)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetTablet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetTablets(ctx context.Context, in *GetTabletsRequest, opts ...grpc.CallOption) (*GetTabletsResponse, error) {
	out := new(GetTabletsResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetTablets", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetVSchema(ctx context.Context, in *GetVSchemaRequest, opts ...grpc.CallOption) (*VSchema, error) {
	out := new(VSchema)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetVSchema", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetVSchemas(ctx context.Context, in *GetVSchemasRequest, opts ...grpc.CallOption) (*GetVSchemasResponse, error) {
	out := new(GetVSchemasResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetVSchemas", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetVtctlds(ctx context.Context, in *GetVtctldsRequest, opts ...grpc.CallOption) (*GetVtctldsResponse, error) {
	out := new(GetVtctldsResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetVtctlds", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetWorkflow(ctx context.Context, in *GetWorkflowRequest, opts ...grpc.CallOption) (*Workflow, error) {
	out := new(Workflow)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetWorkflow", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) GetWorkflows(ctx context.Context, in *GetWorkflowsRequest, opts ...grpc.CallOption) (*GetWorkflowsResponse, error) {
	out := new(GetWorkflowsResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/GetWorkflows", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) PingTablet(ctx context.Context, in *PingTabletRequest, opts ...grpc.CallOption) (*PingTabletResponse, error) {
	out := new(PingTabletResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/PingTablet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) PlannedFailoverShard(ctx context.Context, in *PlannedFailoverShardRequest, opts ...grpc.CallOption) (*PlannedFailoverShardResponse, error) {
	out := new(PlannedFailoverShardResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/PlannedFailoverShard", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) RebuildKeyspaceGraph(ctx context.Context, in *RebuildKeyspaceGraphRequest, opts ...grpc.CallOption) (*RebuildKeyspaceGraphResponse, error) {
	out := new(RebuildKeyspaceGraphResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/RebuildKeyspaceGraph", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) RefreshState(ctx context.Context, in *RefreshStateRequest, opts ...grpc.CallOption) (*RefreshStateResponse, error) {
	out := new(RefreshStateResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/RefreshState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) RefreshTabletReplicationSource(ctx context.Context, in *RefreshTabletReplicationSourceRequest, opts ...grpc.CallOption) (*RefreshTabletReplicationSourceResponse, error) {
	out := new(RefreshTabletReplicationSourceResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/RefreshTabletReplicationSource", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) ReloadSchemas(ctx context.Context, in *ReloadSchemasRequest, opts ...grpc.CallOption) (*ReloadSchemasResponse, error) {
	out := new(ReloadSchemasResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/ReloadSchemas", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) ReloadSchemaShard(ctx context.Context, in *ReloadSchemaShardRequest, opts ...grpc.CallOption) (*ReloadSchemaShardResponse, error) {
	out := new(ReloadSchemaShardResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/ReloadSchemaShard", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) RemoveKeyspaceCell(ctx context.Context, in *RemoveKeyspaceCellRequest, opts ...grpc.CallOption) (*RemoveKeyspaceCellResponse, error) {
	out := new(RemoveKeyspaceCellResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/RemoveKeyspaceCell", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) RunHealthCheck(ctx context.Context, in *RunHealthCheckRequest, opts ...grpc.CallOption) (*RunHealthCheckResponse, error) {
	out := new(RunHealthCheckResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/RunHealthCheck", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) SetReadOnly(ctx context.Context, in *SetReadOnlyRequest, opts ...grpc.CallOption) (*SetReadOnlyResponse, error) {
	out := new(SetReadOnlyResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/SetReadOnly", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) SetReadWrite(ctx context.Context, in *SetReadWriteRequest, opts ...grpc.CallOption) (*SetReadWriteResponse, error) {
	out := new(SetReadWriteResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/SetReadWrite", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) StartReplication(ctx context.Context, in *StartReplicationRequest, opts ...grpc.CallOption) (*StartReplicationResponse, error) {
	out := new(StartReplicationResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/StartReplication", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) StopReplication(ctx context.Context, in *StopReplicationRequest, opts ...grpc.CallOption) (*StopReplicationResponse, error) {
	out := new(StopReplicationResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/StopReplication", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) TabletExternallyPromoted(ctx context.Context, in *TabletExternallyPromotedRequest, opts ...grpc.CallOption) (*TabletExternallyPromotedResponse, error) {
	out := new(TabletExternallyPromotedResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/TabletExternallyPromoted", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) ValidateKeyspace(ctx context.Context, in *ValidateKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.ValidateKeyspaceResponse, error) {
	out := new(vtctldata.ValidateKeyspaceResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/ValidateKeyspace", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) ValidateSchemaKeyspace(ctx context.Context, in *ValidateSchemaKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.ValidateSchemaKeyspaceResponse, error) {
	out := new(vtctldata.ValidateSchemaKeyspaceResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/ValidateSchemaKeyspace", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) ValidateVersionKeyspace(ctx context.Context, in *ValidateVersionKeyspaceRequest, opts ...grpc.CallOption) (*vtctldata.ValidateVersionKeyspaceResponse, error) {
	out := new(vtctldata.ValidateVersionKeyspaceResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/ValidateVersionKeyspace", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vTAdminClient) VTExplain(ctx context.Context, in *VTExplainRequest, opts ...grpc.CallOption) (*VTExplainResponse, error) {
	out := new(VTExplainResponse)
	err := c.cc.Invoke(ctx, "/vtadmin.VTAdmin/VTExplain", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// VTAdminServer is the server API for VTAdmin service.
// All implementations must embed UnimplementedVTAdminServer
// for forward compatibility
type VTAdminServer interface {
	// CreateKeyspace creates a new keyspace in the given cluster.
	CreateKeyspace(context.Context, *CreateKeyspaceRequest) (*CreateKeyspaceResponse, error)
	// CreateShard creates a new shard in the given cluster and keyspace.
	CreateShard(context.Context, *CreateShardRequest) (*vtctldata.CreateShardResponse, error)
	// DeleteKeyspace deletes a keyspace in the given cluster.
	DeleteKeyspace(context.Context, *DeleteKeyspaceRequest) (*vtctldata.DeleteKeyspaceResponse, error)
	// DeleteShard deletes one or more shards in the given cluster and keyspace.
	DeleteShards(context.Context, *DeleteShardsRequest) (*vtctldata.DeleteShardsResponse, error)
	// DeleteTablet deletes a tablet from the topology
	DeleteTablet(context.Context, *DeleteTabletRequest) (*DeleteTabletResponse, error)
	// EmergencyFailoverShard fails over a shard to a new primary. It assumes
	// the old primary is dead or otherwise not responding.
	EmergencyFailoverShard(context.Context, *EmergencyFailoverShardRequest) (*EmergencyFailoverShardResponse, error)
	// FindSchema returns a single Schema that matches the provided table name
	// across all specified clusters IDs. Not specifying a set of cluster IDs
	// causes the search to span all configured clusters.
	//
	// An error occurs if either no table exists across any of the clusters with
	// the specified table name, or if multiple tables exist with that name.
	FindSchema(context.Context, *FindSchemaRequest) (*Schema, error)
	// GetBackups returns backups grouped by cluster.
	GetBackups(context.Context, *GetBackupsRequest) (*GetBackupsResponse, error)
	// GetCellInfos returns the CellInfo objects for the specified clusters.
	//
	// Callers may optionally restrict the set of CellInfos, or restrict the
	// response to include only cell names.
	GetCellInfos(context.Context, *GetCellInfosRequest) (*GetCellInfosResponse, error)
	// GetCellsAliases returns the CellsAliases data for the specified clusters.
	GetCellsAliases(context.Context, *GetCellsAliasesRequest) (*GetCellsAliasesResponse, error)
	// GetClusters returns all configured clusters.
	GetClusters(context.Context, *GetClustersRequest) (*GetClustersResponse, error)
	// GetGates returns all gates across all the specified clusters.
	GetGates(context.Context, *GetGatesRequest) (*GetGatesResponse, error)
	// GetKeyspace returns a keyspace by name in the specified cluster.
	GetKeyspace(context.Context, *GetKeyspaceRequest) (*Keyspace, error)
	// GetKeyspaces returns all keyspaces across the specified clusters.
	GetKeyspaces(context.Context, *GetKeyspacesRequest) (*GetKeyspacesResponse, error)
	// GetSchema returns the schema for the specified (cluster, keyspace, table)
	// tuple.
	GetSchema(context.Context, *GetSchemaRequest) (*Schema, error)
	// GetSchemas returns all schemas across the specified clusters.
	GetSchemas(context.Context, *GetSchemasRequest) (*GetSchemasResponse, error)
	// GetShardReplicationPositions returns shard replication positions grouped
	// by cluster.
	GetShardReplicationPositions(context.Context, *GetShardReplicationPositionsRequest) (*GetShardReplicationPositionsResponse, error)
	// GetSrvVSchema returns the SrvVSchema for the given cluster and cell.
	GetSrvVSchema(context.Context, *GetSrvVSchemaRequest) (*SrvVSchema, error)
	// GetSrvVSchemas returns all SrvVSchemas across all (or specified) clusters
	// and cells.
	GetSrvVSchemas(context.Context, *GetSrvVSchemasRequest) (*GetSrvVSchemasResponse, error)
	// GetTablet looks up a tablet by hostname across all clusters and returns
	// the result.
	GetTablet(context.Context, *GetTabletRequest) (*Tablet, error)
	// GetTablets returns all tablets across all the specified clusters.
	GetTablets(context.Context, *GetTabletsRequest) (*GetTabletsResponse, error)
	// GetVSchema returns a VSchema for the specified keyspace in the specified
	// cluster.
	GetVSchema(context.Context, *GetVSchemaRequest) (*VSchema, error)
	// GetVSchemas returns the VSchemas for all specified clusters.
	GetVSchemas(context.Context, *GetVSchemasRequest) (*GetVSchemasResponse, error)
	// GetVtctlds returns the Vtctlds for all specified clusters.
	GetVtctlds(context.Context, *GetVtctldsRequest) (*GetVtctldsResponse, error)
	// GetWorkflow returns a single Workflow for a given cluster, keyspace, and
	// workflow name.
	GetWorkflow(context.Context, *GetWorkflowRequest) (*Workflow, error)
	// GetWorkflows returns the Workflows for all specified clusters.
	GetWorkflows(context.Context, *GetWorkflowsRequest) (*GetWorkflowsResponse, error)
	// PingTablet checks that the specified tablet is awake and responding to
	// RPCs. This command can be blocked by other in-flight operations.
	PingTablet(context.Context, *PingTabletRequest) (*PingTabletResponse, error)
	// PlannedFailoverShard fails over the shard to a new primary, or away from
	// an old primary. Both the old and new primaries must be reachable and
	// running.
	//
	// NOTE: A planned failover will not consider replicas outside the current
	// shard primary's cell as promotion candidates unless NewPrimary is
	// explicitly provided in the request.
	PlannedFailoverShard(context.Context, *PlannedFailoverShardRequest) (*PlannedFailoverShardResponse, error)
	// RebuildKeyspaceGraph rebuilds the serving data for a keyspace.
	RebuildKeyspaceGraph(context.Context, *RebuildKeyspaceGraphRequest) (*RebuildKeyspaceGraphResponse, error)
	// RefreshState reloads the tablet record on the specified tablet.
	RefreshState(context.Context, *RefreshStateRequest) (*RefreshStateResponse, error)
	// RefreshTabletReplicationSource performs a `CHANGE REPLICATION SOURCE TO`
	// on a tablet to replicate from the current primary in the shard.
	RefreshTabletReplicationSource(context.Context, *RefreshTabletReplicationSourceRequest) (*RefreshTabletReplicationSourceResponse, error)
	// ReloadSchemas reloads the schema definition across keyspaces, shards, or
	// tablets in one or more clusters, depending on the request fields (see
	// ReloadSchemasRequest for details).
	ReloadSchemas(context.Context, *ReloadSchemasRequest) (*ReloadSchemasResponse, error)
	// ReloadSchemaShard reloads the schema on all tablets in a shard. This is done on a best-effort basis.
	ReloadSchemaShard(context.Context, *ReloadSchemaShardRequest) (*ReloadSchemaShardResponse, error)
	// RemoveKeyspaceCell removes the cell from the Cells list for all shards in the keyspace, and the SrvKeyspace for that keyspace in that cell.
	RemoveKeyspaceCell(context.Context, *RemoveKeyspaceCellRequest) (*RemoveKeyspaceCellResponse, error)
	// RunHealthCheck runs a healthcheck on the tablet.
	RunHealthCheck(context.Context, *RunHealthCheckRequest) (*RunHealthCheckResponse, error)
	// SetReadOnly sets the tablet to read-only mode.
	SetReadOnly(context.Context, *SetReadOnlyRequest) (*SetReadOnlyResponse, error)
	// SetReadWrite sets the tablet to read-write mode.
	SetReadWrite(context.Context, *SetReadWriteRequest) (*SetReadWriteResponse, error)
	// StartReplication runs the underlying database command to start
	// replication on a tablet.
	StartReplication(context.Context, *StartReplicationRequest) (*StartReplicationResponse, error)
	// StopReplication runs the underlying database command to stop replication
	// on a tablet
	StopReplication(context.Context, *StopReplicationRequest) (*StopReplicationResponse, error)
	// TabletExternallyPromoted updates the metadata in a cluster's topology
	// to acknowledge a shard primary change performed by an external tool
	// (e.g. orchestrator*).
	//
	// See the Reparenting guide for more information:
	// https://vitess.io/docs/user-guides/configuration-advanced/reparenting/#external-reparenting.
	//
	// * "orchestrator" here refers to external orchestrator, not the newer,
	// Vitess-aware orchestrator, VTOrc.
	TabletExternallyPromoted(context.Context, *TabletExternallyPromotedRequest) (*TabletExternallyPromotedResponse, error)
	// ValidateKeyspace validates that all nodes reachable from the specified
	// keyspace are consistent.
	ValidateKeyspace(context.Context, *ValidateKeyspaceRequest) (*vtctldata.ValidateKeyspaceResponse, error)
	// ValidateSchemaKeyspace validates that the schema on the primary tablet
	// for shard 0 matches the schema on all of the other tablets in the
	// keyspace.
	ValidateSchemaKeyspace(context.Context, *ValidateSchemaKeyspaceRequest) (*vtctldata.ValidateSchemaKeyspaceResponse, error)
	// ValidateVersionKeyspace validates that the version on the primary of
	// shard 0 matches all of the other tablets in the keyspace.
	ValidateVersionKeyspace(context.Context, *ValidateVersionKeyspaceRequest) (*vtctldata.ValidateVersionKeyspaceResponse, error)
	// VTExplain provides information on how Vitess plans to execute a
	// particular query.
	VTExplain(context.Context, *VTExplainRequest) (*VTExplainResponse, error)
	mustEmbedUnimplementedVTAdminServer()
}

// UnimplementedVTAdminServer must be embedded to have forward compatible implementations.
type UnimplementedVTAdminServer struct {
}

func (UnimplementedVTAdminServer) CreateKeyspace(context.Context, *CreateKeyspaceRequest) (*CreateKeyspaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateKeyspace not implemented")
}
func (UnimplementedVTAdminServer) CreateShard(context.Context, *CreateShardRequest) (*vtctldata.CreateShardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateShard not implemented")
}
func (UnimplementedVTAdminServer) DeleteKeyspace(context.Context, *DeleteKeyspaceRequest) (*vtctldata.DeleteKeyspaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteKeyspace not implemented")
}
func (UnimplementedVTAdminServer) DeleteShards(context.Context, *DeleteShardsRequest) (*vtctldata.DeleteShardsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteShards not implemented")
}
func (UnimplementedVTAdminServer) DeleteTablet(context.Context, *DeleteTabletRequest) (*DeleteTabletResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTablet not implemented")
}
func (UnimplementedVTAdminServer) EmergencyFailoverShard(context.Context, *EmergencyFailoverShardRequest) (*EmergencyFailoverShardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EmergencyFailoverShard not implemented")
}
func (UnimplementedVTAdminServer) FindSchema(context.Context, *FindSchemaRequest) (*Schema, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindSchema not implemented")
}
func (UnimplementedVTAdminServer) GetBackups(context.Context, *GetBackupsRequest) (*GetBackupsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBackups not implemented")
}
func (UnimplementedVTAdminServer) GetCellInfos(context.Context, *GetCellInfosRequest) (*GetCellInfosResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCellInfos not implemented")
}
func (UnimplementedVTAdminServer) GetCellsAliases(context.Context, *GetCellsAliasesRequest) (*GetCellsAliasesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCellsAliases not implemented")
}
func (UnimplementedVTAdminServer) GetClusters(context.Context, *GetClustersRequest) (*GetClustersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetClusters not implemented")
}
func (UnimplementedVTAdminServer) GetGates(context.Context, *GetGatesRequest) (*GetGatesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetGates not implemented")
}
func (UnimplementedVTAdminServer) GetKeyspace(context.Context, *GetKeyspaceRequest) (*Keyspace, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetKeyspace not implemented")
}
func (UnimplementedVTAdminServer) GetKeyspaces(context.Context, *GetKeyspacesRequest) (*GetKeyspacesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetKeyspaces not implemented")
}
func (UnimplementedVTAdminServer) GetSchema(context.Context, *GetSchemaRequest) (*Schema, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSchema not implemented")
}
func (UnimplementedVTAdminServer) GetSchemas(context.Context, *GetSchemasRequest) (*GetSchemasResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSchemas not implemented")
}
func (UnimplementedVTAdminServer) GetShardReplicationPositions(context.Context, *GetShardReplicationPositionsRequest) (*GetShardReplicationPositionsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetShardReplicationPositions not implemented")
}
func (UnimplementedVTAdminServer) GetSrvVSchema(context.Context, *GetSrvVSchemaRequest) (*SrvVSchema, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSrvVSchema not implemented")
}
func (UnimplementedVTAdminServer) GetSrvVSchemas(context.Context, *GetSrvVSchemasRequest) (*GetSrvVSchemasResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSrvVSchemas not implemented")
}
func (UnimplementedVTAdminServer) GetTablet(context.Context, *GetTabletRequest) (*Tablet, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTablet not implemented")
}
func (UnimplementedVTAdminServer) GetTablets(context.Context, *GetTabletsRequest) (*GetTabletsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTablets not implemented")
}
func (UnimplementedVTAdminServer) GetVSchema(context.Context, *GetVSchemaRequest) (*VSchema, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetVSchema not implemented")
}
func (UnimplementedVTAdminServer) GetVSchemas(context.Context, *GetVSchemasRequest) (*GetVSchemasResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetVSchemas not implemented")
}
func (UnimplementedVTAdminServer) GetVtctlds(context.Context, *GetVtctldsRequest) (*GetVtctldsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetVtctlds not implemented")
}
func (UnimplementedVTAdminServer) GetWorkflow(context.Context, *GetWorkflowRequest) (*Workflow, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetWorkflow not implemented")
}
func (UnimplementedVTAdminServer) GetWorkflows(context.Context, *GetWorkflowsRequest) (*GetWorkflowsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetWorkflows not implemented")
}
func (UnimplementedVTAdminServer) PingTablet(context.Context, *PingTabletRequest) (*PingTabletResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PingTablet not implemented")
}
func (UnimplementedVTAdminServer) PlannedFailoverShard(context.Context, *PlannedFailoverShardRequest) (*PlannedFailoverShardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PlannedFailoverShard not implemented")
}
func (UnimplementedVTAdminServer) RebuildKeyspaceGraph(context.Context, *RebuildKeyspaceGraphRequest) (*RebuildKeyspaceGraphResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RebuildKeyspaceGraph not implemented")
}
func (UnimplementedVTAdminServer) RefreshState(context.Context, *RefreshStateRequest) (*RefreshStateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RefreshState not implemented")
}
func (UnimplementedVTAdminServer) RefreshTabletReplicationSource(context.Context, *RefreshTabletReplicationSourceRequest) (*RefreshTabletReplicationSourceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RefreshTabletReplicationSource not implemented")
}
func (UnimplementedVTAdminServer) ReloadSchemas(context.Context, *ReloadSchemasRequest) (*ReloadSchemasResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ReloadSchemas not implemented")
}
func (UnimplementedVTAdminServer) ReloadSchemaShard(context.Context, *ReloadSchemaShardRequest) (*ReloadSchemaShardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ReloadSchemaShard not implemented")
}
func (UnimplementedVTAdminServer) RemoveKeyspaceCell(context.Context, *RemoveKeyspaceCellRequest) (*RemoveKeyspaceCellResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveKeyspaceCell not implemented")
}
func (UnimplementedVTAdminServer) RunHealthCheck(context.Context, *RunHealthCheckRequest) (*RunHealthCheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RunHealthCheck not implemented")
}
func (UnimplementedVTAdminServer) SetReadOnly(context.Context, *SetReadOnlyRequest) (*SetReadOnlyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetReadOnly not implemented")
}
func (UnimplementedVTAdminServer) SetReadWrite(context.Context, *SetReadWriteRequest) (*SetReadWriteResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetReadWrite not implemented")
}
func (UnimplementedVTAdminServer) StartReplication(context.Context, *StartReplicationRequest) (*StartReplicationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method StartReplication not implemented")
}
func (UnimplementedVTAdminServer) StopReplication(context.Context, *StopReplicationRequest) (*StopReplicationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method StopReplication not implemented")
}
func (UnimplementedVTAdminServer) TabletExternallyPromoted(context.Context, *TabletExternallyPromotedRequest) (*TabletExternallyPromotedResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method TabletExternallyPromoted not implemented")
}
func (UnimplementedVTAdminServer) ValidateKeyspace(context.Context, *ValidateKeyspaceRequest) (*vtctldata.ValidateKeyspaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateKeyspace not implemented")
}
func (UnimplementedVTAdminServer) ValidateSchemaKeyspace(context.Context, *ValidateSchemaKeyspaceRequest) (*vtctldata.ValidateSchemaKeyspaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateSchemaKeyspace not implemented")
}
func (UnimplementedVTAdminServer) ValidateVersionKeyspace(context.Context, *ValidateVersionKeyspaceRequest) (*vtctldata.ValidateVersionKeyspaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateVersionKeyspace not implemented")
}
func (UnimplementedVTAdminServer) VTExplain(context.Context, *VTExplainRequest) (*VTExplainResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method VTExplain not implemented")
}
func (UnimplementedVTAdminServer) mustEmbedUnimplementedVTAdminServer() {}

// UnsafeVTAdminServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to VTAdminServer will
// result in compilation errors.
type UnsafeVTAdminServer interface {
	mustEmbedUnimplementedVTAdminServer()
}

func RegisterVTAdminServer(s grpc.ServiceRegistrar, srv VTAdminServer) {
	s.RegisterService(&VTAdmin_ServiceDesc, srv)
}

func _VTAdmin_CreateKeyspace_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateKeyspaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).CreateKeyspace(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/CreateKeyspace",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).CreateKeyspace(ctx, req.(*CreateKeyspaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_CreateShard_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateShardRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).CreateShard(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/CreateShard",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).CreateShard(ctx, req.(*CreateShardRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_DeleteKeyspace_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteKeyspaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).DeleteKeyspace(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/DeleteKeyspace",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).DeleteKeyspace(ctx, req.(*DeleteKeyspaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_DeleteShards_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteShardsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).DeleteShards(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/DeleteShards",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).DeleteShards(ctx, req.(*DeleteShardsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_DeleteTablet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteTabletRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).DeleteTablet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/DeleteTablet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).DeleteTablet(ctx, req.(*DeleteTabletRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_EmergencyFailoverShard_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmergencyFailoverShardRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).EmergencyFailoverShard(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/EmergencyFailoverShard",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).EmergencyFailoverShard(ctx, req.(*EmergencyFailoverShardRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_FindSchema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FindSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).FindSchema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/FindSchema",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).FindSchema(ctx, req.(*FindSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetBackups_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBackupsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetBackups(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetBackups",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetBackups(ctx, req.(*GetBackupsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetCellInfos_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetCellInfosRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetCellInfos(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetCellInfos",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetCellInfos(ctx, req.(*GetCellInfosRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetCellsAliases_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetCellsAliasesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetCellsAliases(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetCellsAliases",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetCellsAliases(ctx, req.(*GetCellsAliasesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetClusters_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetClustersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetClusters(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetClusters",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetClusters(ctx, req.(*GetClustersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetGates_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetGatesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetGates(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetGates",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetGates(ctx, req.(*GetGatesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetKeyspace_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetKeyspaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetKeyspace(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetKeyspace",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetKeyspace(ctx, req.(*GetKeyspaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetKeyspaces_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetKeyspacesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetKeyspaces(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetKeyspaces",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetKeyspaces(ctx, req.(*GetKeyspacesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetSchema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetSchema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetSchema",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetSchema(ctx, req.(*GetSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetSchemas_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSchemasRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetSchemas(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetSchemas",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetSchemas(ctx, req.(*GetSchemasRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetShardReplicationPositions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetShardReplicationPositionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetShardReplicationPositions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetShardReplicationPositions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetShardReplicationPositions(ctx, req.(*GetShardReplicationPositionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetSrvVSchema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSrvVSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetSrvVSchema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetSrvVSchema",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetSrvVSchema(ctx, req.(*GetSrvVSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetSrvVSchemas_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSrvVSchemasRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetSrvVSchemas(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetSrvVSchemas",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetSrvVSchemas(ctx, req.(*GetSrvVSchemasRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetTablet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTabletRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetTablet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetTablet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetTablet(ctx, req.(*GetTabletRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetTablets_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTabletsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetTablets(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetTablets",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetTablets(ctx, req.(*GetTabletsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetVSchema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetVSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetVSchema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetVSchema",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetVSchema(ctx, req.(*GetVSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetVSchemas_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetVSchemasRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetVSchemas(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetVSchemas",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetVSchemas(ctx, req.(*GetVSchemasRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetVtctlds_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetVtctldsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetVtctlds(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetVtctlds",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetVtctlds(ctx, req.(*GetVtctldsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetWorkflow_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetWorkflowRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetWorkflow(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetWorkflow",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetWorkflow(ctx, req.(*GetWorkflowRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_GetWorkflows_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetWorkflowsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).GetWorkflows(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/GetWorkflows",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).GetWorkflows(ctx, req.(*GetWorkflowsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_PingTablet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PingTabletRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).PingTablet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/PingTablet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).PingTablet(ctx, req.(*PingTabletRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_PlannedFailoverShard_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PlannedFailoverShardRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).PlannedFailoverShard(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/PlannedFailoverShard",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).PlannedFailoverShard(ctx, req.(*PlannedFailoverShardRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_RebuildKeyspaceGraph_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RebuildKeyspaceGraphRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).RebuildKeyspaceGraph(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/RebuildKeyspaceGraph",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).RebuildKeyspaceGraph(ctx, req.(*RebuildKeyspaceGraphRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_RefreshState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RefreshStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).RefreshState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/RefreshState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).RefreshState(ctx, req.(*RefreshStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_RefreshTabletReplicationSource_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RefreshTabletReplicationSourceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).RefreshTabletReplicationSource(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/RefreshTabletReplicationSource",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).RefreshTabletReplicationSource(ctx, req.(*RefreshTabletReplicationSourceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_ReloadSchemas_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ReloadSchemasRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).ReloadSchemas(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/ReloadSchemas",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).ReloadSchemas(ctx, req.(*ReloadSchemasRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_ReloadSchemaShard_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ReloadSchemaShardRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).ReloadSchemaShard(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/ReloadSchemaShard",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).ReloadSchemaShard(ctx, req.(*ReloadSchemaShardRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_RemoveKeyspaceCell_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveKeyspaceCellRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).RemoveKeyspaceCell(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/RemoveKeyspaceCell",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).RemoveKeyspaceCell(ctx, req.(*RemoveKeyspaceCellRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_RunHealthCheck_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RunHealthCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).RunHealthCheck(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/RunHealthCheck",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).RunHealthCheck(ctx, req.(*RunHealthCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_SetReadOnly_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetReadOnlyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).SetReadOnly(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/SetReadOnly",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).SetReadOnly(ctx, req.(*SetReadOnlyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_SetReadWrite_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetReadWriteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).SetReadWrite(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/SetReadWrite",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).SetReadWrite(ctx, req.(*SetReadWriteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_StartReplication_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StartReplicationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).StartReplication(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/StartReplication",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).StartReplication(ctx, req.(*StartReplicationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_StopReplication_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StopReplicationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).StopReplication(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/StopReplication",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).StopReplication(ctx, req.(*StopReplicationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_TabletExternallyPromoted_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TabletExternallyPromotedRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).TabletExternallyPromoted(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/TabletExternallyPromoted",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).TabletExternallyPromoted(ctx, req.(*TabletExternallyPromotedRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_ValidateKeyspace_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateKeyspaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).ValidateKeyspace(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/ValidateKeyspace",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).ValidateKeyspace(ctx, req.(*ValidateKeyspaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_ValidateSchemaKeyspace_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateSchemaKeyspaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).ValidateSchemaKeyspace(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/ValidateSchemaKeyspace",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).ValidateSchemaKeyspace(ctx, req.(*ValidateSchemaKeyspaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_ValidateVersionKeyspace_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateVersionKeyspaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).ValidateVersionKeyspace(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/ValidateVersionKeyspace",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).ValidateVersionKeyspace(ctx, req.(*ValidateVersionKeyspaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VTAdmin_VTExplain_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(VTExplainRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VTAdminServer).VTExplain(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/vtadmin.VTAdmin/VTExplain",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VTAdminServer).VTExplain(ctx, req.(*VTExplainRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// VTAdmin_ServiceDesc is the grpc.ServiceDesc for VTAdmin service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var VTAdmin_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "vtadmin.VTAdmin",
	HandlerType: (*VTAdminServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateKeyspace",
			Handler:    _VTAdmin_CreateKeyspace_Handler,
		},
		{
			MethodName: "CreateShard",
			Handler:    _VTAdmin_CreateShard_Handler,
		},
		{
			MethodName: "DeleteKeyspace",
			Handler:    _VTAdmin_DeleteKeyspace_Handler,
		},
		{
			MethodName: "DeleteShards",
			Handler:    _VTAdmin_DeleteShards_Handler,
		},
		{
			MethodName: "DeleteTablet",
			Handler:    _VTAdmin_DeleteTablet_Handler,
		},
		{
			MethodName: "EmergencyFailoverShard",
			Handler:    _VTAdmin_EmergencyFailoverShard_Handler,
		},
		{
			MethodName: "FindSchema",
			Handler:    _VTAdmin_FindSchema_Handler,
		},
		{
			MethodName: "GetBackups",
			Handler:    _VTAdmin_GetBackups_Handler,
		},
		{
			MethodName: "GetCellInfos",
			Handler:    _VTAdmin_GetCellInfos_Handler,
		},
		{
			MethodName: "GetCellsAliases",
			Handler:    _VTAdmin_GetCellsAliases_Handler,
		},
		{
			MethodName: "GetClusters",
			Handler:    _VTAdmin_GetClusters_Handler,
		},
		{
			MethodName: "GetGates",
			Handler:    _VTAdmin_GetGates_Handler,
		},
		{
			MethodName: "GetKeyspace",
			Handler:    _VTAdmin_GetKeyspace_Handler,
		},
		{
			MethodName: "GetKeyspaces",
			Handler:    _VTAdmin_GetKeyspaces_Handler,
		},
		{
			MethodName: "GetSchema",
			Handler:    _VTAdmin_GetSchema_Handler,
		},
		{
			MethodName: "GetSchemas",
			Handler:    _VTAdmin_GetSchemas_Handler,
		},
		{
			MethodName: "GetShardReplicationPositions",
			Handler:    _VTAdmin_GetShardReplicationPositions_Handler,
		},
		{
			MethodName: "GetSrvVSchema",
			Handler:    _VTAdmin_GetSrvVSchema_Handler,
		},
		{
			MethodName: "GetSrvVSchemas",
			Handler:    _VTAdmin_GetSrvVSchemas_Handler,
		},
		{
			MethodName: "GetTablet",
			Handler:    _VTAdmin_GetTablet_Handler,
		},
		{
			MethodName: "GetTablets",
			Handler:    _VTAdmin_GetTablets_Handler,
		},
		{
			MethodName: "GetVSchema",
			Handler:    _VTAdmin_GetVSchema_Handler,
		},
		{
			MethodName: "GetVSchemas",
			Handler:    _VTAdmin_GetVSchemas_Handler,
		},
		{
			MethodName: "GetVtctlds",
			Handler:    _VTAdmin_GetVtctlds_Handler,
		},
		{
			MethodName: "GetWorkflow",
			Handler:    _VTAdmin_GetWorkflow_Handler,
		},
		{
			MethodName: "GetWorkflows",
			Handler:    _VTAdmin_GetWorkflows_Handler,
		},
		{
			MethodName: "PingTablet",
			Handler:    _VTAdmin_PingTablet_Handler,
		},
		{
			MethodName: "PlannedFailoverShard",
			Handler:    _VTAdmin_PlannedFailoverShard_Handler,
		},
		{
			MethodName: "RebuildKeyspaceGraph",
			Handler:    _VTAdmin_RebuildKeyspaceGraph_Handler,
		},
		{
			MethodName: "RefreshState",
			Handler:    _VTAdmin_RefreshState_Handler,
		},
		{
			MethodName: "RefreshTabletReplicationSource",
			Handler:    _VTAdmin_RefreshTabletReplicationSource_Handler,
		},
		{
			MethodName: "ReloadSchemas",
			Handler:    _VTAdmin_ReloadSchemas_Handler,
		},
		{
			MethodName: "ReloadSchemaShard",
			Handler:    _VTAdmin_ReloadSchemaShard_Handler,
		},
		{
			MethodName: "RemoveKeyspaceCell",
			Handler:    _VTAdmin_RemoveKeyspaceCell_Handler,
		},
		{
			MethodName: "RunHealthCheck",
			Handler:    _VTAdmin_RunHealthCheck_Handler,
		},
		{
			MethodName: "SetReadOnly",
			Handler:    _VTAdmin_SetReadOnly_Handler,
		},
		{
			MethodName: "SetReadWrite",
			Handler:    _VTAdmin_SetReadWrite_Handler,
		},
		{
			MethodName: "StartReplication",
			Handler:    _VTAdmin_StartReplication_Handler,
		},
		{
			MethodName: "StopReplication",
			Handler:    _VTAdmin_StopReplication_Handler,
		},
		{
			MethodName: "TabletExternallyPromoted",
			Handler:    _VTAdmin_TabletExternallyPromoted_Handler,
		},
		{
			MethodName: "ValidateKeyspace",
			Handler:    _VTAdmin_ValidateKeyspace_Handler,
		},
		{
			MethodName: "ValidateSchemaKeyspace",
			Handler:    _VTAdmin_ValidateSchemaKeyspace_Handler,
		},
		{
			MethodName: "ValidateVersionKeyspace",
			Handler:    _VTAdmin_ValidateVersionKeyspace_Handler,
		},
		{
			MethodName: "VTExplain",
			Handler:    _VTAdmin_VTExplain_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "vtadmin.proto",
}
